<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Menotor Click Task</title>
    <link rel="icon" type="image/png"
          href="https://hirebee-main-new.s3.amazonaws.com/staff.am/upload/9/b/b/4/9bb442f8.png">
</head>
<body>

<div th:if="${error}">
    <span th:text="${error}" style="color: red"></span>
</div>
<div>
    <form action="#" th:action="@{/best-matches}" method="get">
        <p>CSV file path: <input type="text" th:name="csvFilePath"/></p>
        <p><input type="submit" value="Submit"/></p>
    </form>
</div>
<div th:if="${data}">
    <table>
        <tr th:each="cases : ${data.getCases()}">
            <ul>
                <table>
                    <li>
                        <tr th:each="pairEmployee : ${cases.getPairEmployee()}">
                            <td th:text="${pairEmployee.getFirstEmployee().getName() + ' with '+ pairEmployee.getSecondEmployee().getName() + ' = '+  pairEmployee.getPercentage()+'%'}"></td>
                        </tr>
                    </li>
                </table>

                Average score =
                <td th:text="${cases.getAverage()+'%'}"></td>
            </ul>
        </tr>
    </table>
</div>
</body>
</html>